# http://github.com/bugsnag/panicwrap
%global goipath         github.com/bugsnag/panicwrap
%global commit          aceac81c6e2f55f23844821679a0553b545e91df

%gometa -i

Name:           %{goname}
Version:        1.1.0
Release:        0.9%{?dist}
Summary:        Go library for catching and handling panics in Go applications
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml
Patch0:         change-import-path.patch

%description
%{summary}

%package devel
Summary:       %{summary}

BuildRequires: golang(bitbucket.org/kardianos/osext)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup
%patch0 -p1
cp %{SOURCE1} %{SOURCE2} .

%install
%goinstall glide.lock glide.yaml

%check
%gochecks

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Fri Jun 08 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.9.gitaceac81
- Upload glide.lock and glide.yaml

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.8.20160118gitaceac81
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.7.gitaceac81
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.6.gitaceac81
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.5.gitaceac81
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.4.gitaceac81
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 17 2016 Jan Chaloupka <jchaloup@redhat.com> - 1.1.0-0.3.gitaceac81
- Polish the spec file
  related: #1313834

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.2.gitaceac81
- https://fedoraproject.org/wiki/Changes/golang1.7

* Wed Mar 02 2016 jchaloup <jchaloup@redhat.com> - 1.1.0-0.1.gitaceac81
- Update to 1.1.0
  resolves: #1313834

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gite5f9854
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gite5f9854
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 08 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gite5f9854
- First package for Fedora
  resolves: #1270034

